import {Component, OnInit} from '@angular/core';
import {Router} from '@angular/router';
import {MatDialog, MatDialogRef, MAT_DIALOG_DATA} from '@angular/material/dialog';

@Component({
  selector: 'slf-dialog',
  templateUrl: './dialog.component.html',
  styleUrls: ['./dialog.component.scss']
})
export class DialogComponent implements OnInit {

  constructor(public dialogRef: MatDialogRef<DialogComponent>, private router: Router) {
  }

  ngOnInit(): void {
  }

  public onGoToFamily(param: string): void {
    this.dialogRef.close();
    if (param !== undefined) {
      this.router.navigate(['family/', param]);
    }
  }

}
